\documentclass[a4paper,12pt]{book}
\usepackage[utf8]{inputenc}
\usepackage{graphicx}
\usepackage{amsmath}
\usepackage[ruled,lined,linesnumbered]{algorithm2e}


%%%%
\usepackage[utf8]{inputenc}
\usepackage[acronym]{glossaries}

\makeglossaries

\newacronym{gcd}{GCD}{Greatest Common Divisor}

\newacronym{lcm}{LCM}{Least Common Multiple}

%%%%

\graphicspath{ {./Images/} }

%Define epigraph = qouting before each chapter.
\usepackage{epigraph}
\renewcommand{\epigraphsize}{\normalsize}
\setlength{\epigraphwidth}{0.8\textwidth}

\newcommand{\algo}[1]{Algorithm~\ref{#1}}

\begin{document}

\author{Viet Nam}
\title{Personal research}
\date{January 2020}

\frontmatter
\maketitle
\tableofcontents
\listoffigures
\listoftables
\newpage
\chapter{Notation}
In this section, we introduce some basic notation that use through out the book.

\begin{table}[h!]
	\centering
	\begin{tabular}{|c | c |} 
		\hline
		Notation & Meaning 
		\\ [0.5ex] 
		\hline
		$\mathcal{A}$ & 6  \\  
		$\liminf$ & 7  \\
		c & 545  \\
		d & 545  \\
		e & 88  \\ [1ex] 
		\hline
	\end{tabular}
	\caption{List of notation}
	\label{table:1}
\end{table}

\mainmatter
%% Images Tutorial %%
%% https://www.latex-tutorial.com/tutorials/figures/ %%

Given a set of numbers, there are elementary methods to compute 
its \acrlong{gcd}, which is abbreviated \acrshort{gcd}. This process 
is similar to that used for the \acrfull{lcm}.

\clearpage

\printglossary[type=\acronymtype]


\include{./Chapter/chapter01}
%% Tables Tutorial %%
%% https://www.overleaf.com/learn/latex/Tables %%

\include{./Chapter/chapter02}

\include{./Chapter/chapter03}
\include{./Chapter/chapter04}
\include{./Chapter/chapter05}
\include{./Chapter/chapter06}
\include{./Chapter/chapter07}
In these work: \cite{AHPW15} \cite{BGN05} \cite{ChenPhong11}

\newpage
%% Reference Tutorial %%
%% https://www.latex-tutorial.com/tutorials/bibtex/ %%
\bibliography{References}
\bibliographystyle{ieeetr}

\backmatter
% bibliography, glossary and index would go here.

\end{document}